Subject: RE:I asked this order to be cancelled #Ref 2021071300091390
From: "[email-masked]" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 13 Jul 2021 14:48:25 -0700

Hello Kimberly,

In order to provide superior service, all orders are processed immediately upon receipt.  And, all are then placed onto FedEx trailers.  Our CS is closed on weekends, however, orders are still processed through our warehouse.

If you wish to return your order, please initiate your return via your order by signing into your Designer Living account.

Thank you,

Erlinda

Senior Customer Service Representative

Designer Living

===============================================================================

Why did this order ship? I requested it be cancelled three days ago?

How do I return it??

Sent from my iPhone